Subject: Re: bug#66780: [PATCH] Improve rectangle-mark-mode when transient-mark-mode is off

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Oct 2023 09:24:19 +0300

> Date: Fri, 27 Oct 2023 22:31:24 +0200
> From:  Jens Schmidt via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I have attempted to improve the situation by providing documentation
> (fix A) in a patch on emacs-29, and some minor code fixes (B and C) in a
> patch on emacs-master.  That latter patch still has a placeholder
> "bug#XXXXX" which needs to be updated once I have a bug number.

Do we expect people to use rectangle-mark-mode with
transient-mark-mode turned off?  The description of the behavior in
that case is complicated and confusing, and I wonder whether we should
have it in the manual.  We could just say that the behavior is
slightly different, and that we don't recommend turning off
transient-mark-mode if the user wants to use rectangle-mark-mode.

> * Fix B: Use a Minor Mode Lighter
> 
> With TMM off and RMM on, the most important indicator of RMM (the
> region-rectangle) is not visible.  And since RMM's minor mode lighter is
> nil, one has no visible feedback of it still being active.  That can be
> surprising since some of its features are still active as described
> above.

Again, not sure indicating this combination is worth our while,
especially since the real estate on the mode line is already too
scarce, so much so that in many windows important information at the
end of the mode line is pushed beyond the limits.

Why do you think it's important to have this combination prominently
documented and indicated at run time?  Do we have any evidence that it
is used frequently enough to justify these measures?